# Poco::Net

# class Session

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/Session.h

## Description

This class encapsulates a SSL session object used with session caching on the client side.

For session caching to work, a client must save the session object from an existing connection, if it wants to reuse it with a future connection.

## Inheritance

Direct Base Classes: Poco::RefCountedObject

All Base Classes: Poco::RefCountedObject

## Member Summary

Member Functions: sslSession

Inherited Functions: duplicate, referenceCount, release

## Types Aliases

### Ptr

using Ptr = Poco::AutoPtr < Session >;

## Constructors

### Session

Session(
SSL_SESSION * pSession
);

Creates a new Session object, using the given SSL_SESSION object.

The SSL_SESSION's reference count is not changed.

## Destructor

### ~Session

~Session();

Destroys the Session.

Calls SSL_SESSION_free() on the stored SSL_SESSION object.

## Member Functions

### sslSession

SSL_SESSION * sslSession() const;

Returns the stored OpenSSL SSL_SESSION object.